var ErrorHandler = (function ($) {
    return {
        // TODO: Translate these message
        handle: function(statusCode, context) {
            switch(statusCode) {
                case 200:
                    return;
                case 500:
                    showToastrNotification('error', Translator.trans('errors.500'));
                    break;
                case 400:
                    showToastrNotification('error', Translator.trans('errors.400'));
                    break;
                default:
                    showToastrNotification('error', Translator.trans('errors.default'));
            }
        }
    };
})($);